[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# StrToHostAddr6

Convert a string to a IPV6 host address.

## Declaration

Source position: socketsh.inc line 228

`function StrToHostAddr6(`
`IP: string`
`):Tin6_addr;`

## Description

StrToHostAddr6 converts the string representation in IP to a IPV6 host address and returns the host address.

## Errors

On error, the address is filled with zeroes.

## See also

NetAddrToStr6 |  | Convert a IPV6 network address to a string.
HostAddrToStr6 |  | Convert a IPV6 host address to a string representation.
StrToHostAddr |  | Convert a string to a host address.

Documentation generated on: Feb 26 2014